.\" $NetBSD: m68k_sync_icache.2,v 1.9 2003/04/16 13:34:34 wiz Exp $
.\"
.\" Copyright (c) 1999 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Ignatios Souvatzis.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 9, 1998
.Dt M68K_SYNC_ICACHE 2 m68k
.Os
.Sh NAME
.Nm m68k_sync_icache
.Nd instruction cache synchronization
.Sh LIBRARY
.Lb libm68k
.Sh SYNOPSIS
.In sys/types.h
.In m68k/sync_icache.h
.Ft void
.Fn m68k_sync_icache "void *start" "size_t size"
.Sh DESCRIPTION
.Fn m68k_sync_icache
synchronizes data and instruction caches over the specified region.
It should be called prior to executing newly generated code.
.Pp
The affected address range starts at
.Fa start
and continues for
.Fa size
bytes.
If
.Fa start
is 0, all the address space of the current execution thread is affected.
Addresses outside the specified region may be synchronized, too.
.Pp
The call always succeeds.
.Sh SEE ALSO
.Xr arm32_sync_icache 2
.Sh HISTORY
.Fn m68k_sync_icache
appeared first in
.Nx 1.4 .
.Sh AUTHORS
Ignatios Souvatzis
